[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectIteratorCallback

iterate callback prototype.

## Declaration

Source position: contnrs.pp line 481

`type TObjectIteratorCallback = procedure(`
`Item: TObject;`
`const Key: string;`
`var Continue: Boolean`
`);`

## Arguments

`Item` |  | Data object
`Key` |  | Key value
`Continue` |  | Should the iteration continue or stop

## Description

TObjectIteratorCallBack is the iterator callback prototype. It is used to iterate over all items in the hash table, and is called with each key value (Key) and associated object (Item). If Continue is set to false, the iteration stops.